# script to create an anonymous ftp server on UnixWare 1.x and 2.x

#check for superuser
ID=`id | cut -d"(" -f2 | cut -d ")" -f1`
if [ $ID != "root" ]
then
    echo "\n"
    echo    "    You must be superuser to execute this script"
    echo "\n"
    exit 1
fi

workdir=`pwd`
echo "\n"
echo "Creating anonymous ftp server for UnixWare..."
echo "Creating ftp user..."
useradd -d /home/ftp -m ftp
passwd -d ftp

echo "Copying needed files..."
mkdir /home/ftp/etc
cp /etc/passwd /home/ftp/etc
chmod 444 /home/ftp/etc/passwd
cp /etc/group /home/ftp/etc
chmod 444 /home/ftp/etc/group
cp /etc/netconfig /home/ftp/etc
mkdir /home/ftp/bin
cp /usr/bin/ls /home/ftp/bin
chmod 111 /home/ftp/bin/ls
chown root /home/ftp
chmod 555 /home/ftp 
mkdir /home/ftp/pub
chmod 777 /home/ftp/pub
mkdir /home/ftp/usr
mkdir /home/ftp/usr/lib
cp /usr/lib/libc.so.1 /home/ftp/usr/lib

echo "Making devices..."
mkdir /home/ftp/dev
cd /home/ftp/dev

# gathering device information for /dev/tcp
devstr=`ls -og /dev/tcp`
maj=`echo $devstr |cut -f1 -d, | cut -f3 -d" "`
min=`echo $devstr |cut -f4 -d" "`
# making the device tcp
mknod tcp c $maj $min 

# gathering device information for /dev/zero
devstr=`ls -og /dev/zero`
maj=`echo $devstr |cut -f1 -d, | cut -f3 -d" "`
min=`echo $devstr |cut -f4 -d" "`
# making the device zero
mknod zero c $maj $min          

cd $workdir
echo "\n"
echo "Process complete.  Directory /home/ftp/pub is now ready for use."        
